#include<stdio.h>
#include<stdlib.h>

int main(int argc, char * argv[]) {
	int entier;

	printf("Veuillez donner un entier naturel : ");
	scanf("%d", &entier);

	for (int diviseur = 2; diviseur < entier; diviseur++) {
		if (entier == 1 ) {
			printf("Cet entier n'est pas premier.\n");
			return EXIT_SUCCESS;
		} else if (entier % diviseur == 0 && diviseur != entier) {
			printf("Cet entier n'est pas premier.\n");
			return EXIT_SUCCESS;
		}
	}

	printf("Cet entier est premier.\n");
	return EXIT_SUCCESS;
}
